package com.hypass.export.controller;

import com.hypass.export.ExportTemplate;
import java.lang.reflect.Field;

/** @ClassName Child @Description TODO @Author wyj @Date 2023/12/6 13:48 @Version 1.0 */
public class Child extends Parent {
  public String childField = "childField";

  public static void main(String[] args) throws NoSuchFieldException, IllegalAccessException {
    // 获取 Child 类的对象
    ExportTemplate exportTemplate = new ExportTemplate();
    Field field = getDeclaredField(exportTemplate, "updatedBy");
    System.out.println(field.getName());
  }

  public static Field getDeclaredField(Object object, String fieldName) {
    Field field = null;
    Class<?> clazz = object.getClass();
    for (; clazz != Object.class; clazz = clazz.getSuperclass()) {
      try {
        field = clazz.getDeclaredField(fieldName);
        return field;
      } catch (NoSuchFieldException e) {
        // 不需要处理
        // 不断向父类查询是否有某个字段
      }
    }
    return null;
  }
}
