package com.hypass.export.service;

import com.hypass.export.model.*;
import java.lang.reflect.InvocationTargetException;
import java.util.List;

/** 文件导出接口 */
public interface IExportService {
  List<MetaModelDTO> getModelList();

  ExportStrategyDTO getModelExportStrategy(String templateId)
      throws InvocationTargetException, IllegalAccessException;

  boolean saveTemplateStrategy(SaveExportStrategyDTO exportStrategyDTO);

  List<CascadeModelFieldDTO> getCascadeModelFieldList(String modelName, String fieldName);

  List<ExportStrategyDTO> preConfigExportStrategy(String modelName, String templateId);

  boolean saveTemplate(ExportTemplateDTO exportTemplateDTO)
      throws InvocationTargetException, IllegalAccessException;

  ExportTemplateDTO getTemplateDetail(String templateId)
      throws InvocationTargetException, IllegalAccessException;
}
