package com.hypass.export.utils;

import cn.hutool.core.bean.BeanUtil;
import java.lang.reflect.InvocationTargetException;
import java.util.ArrayList;
import java.util.List;
import org.springframework.beans.BeanUtils;
import org.springframework.util.CollectionUtils;

/** @ClassName HypassBeanUtils @Description TODO @Author wyj @Date 2023/2/8 18:26 @Version 1.0 */
public class HypassBeanUtils {

  public static <T> List<T> copyProperties4List(List<?> sources, Class<T> destination) {
    if (CollectionUtils.isEmpty(sources)) {
      return new ArrayList<>();
    }

    List<T> list = new ArrayList<>();
    for (Object source : sources) {
      list.add(BeanUtil.copyProperties(source, destination));
    }
    return list;
  }

  public static void copyProperties(Object orig, Object dest)
      throws InvocationTargetException, IllegalAccessException {
    BeanUtils.copyProperties(orig, dest);
  }
}
